/**
 * #.# Common SCSS
 *
 * Can include things like variables and mixins
 * that are used across the project.
*/
:root {
  interpolate-size: allow-keywords;
}

/* -- THEME.JSON -- */
/* -- Variables -- */
/* -- Breakpoints -- */
.wp-block-fidelo-fd-form {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  gap: 20px;
  width: 100%;
  max-width: 590px;
}
.wp-block-fidelo-fd-form .field {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
}
.wp-block-fidelo-fd-form fieldset {
  border: none;
  gap: 10px;
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.wp-block-fidelo-fd-form input,
.wp-block-fidelo-fd-form textarea,
.wp-block-fidelo-fd-form select {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  border-radius: 10px;
  border: 1px solid black !important;
  background-color: "";
  border-radius: 10px;
  padding: 12px !important;
}
.wp-block-fidelo-fd-form input:focus,
.wp-block-fidelo-fd-form textarea:focus,
.wp-block-fidelo-fd-form select:focus {
  outline: 2px solid gray;
  outline-offset: 2px;
}
.wp-block-fidelo-fd-form input,
.wp-block-fidelo-fd-form select {
  padding: 14px 16px 14px 16px;
}
.wp-block-fidelo-fd-form .field-select {
  position: relative;
}
.wp-block-fidelo-fd-form .field-select::before {
  content: "";
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  left: 16px;
  width: 16px;
  height: 16px;
  background: url("assets/icons/arrow-select.svg") no-repeat center/contain;
  pointer-events: none;
}
.wp-block-fidelo-fd-form .field-select select {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  padding-left: 40px;
}
.wp-block-fidelo-fd-form select:has(option[disabled]:checked) {
  color: var(--Color-4, #6b7280);
}
.wp-block-fidelo-fd-form input[type=radio] {
  width: 25px;
  height: 25px;
  accent-color: black;
}
.wp-block-fidelo-fd-form input[type=checkbox] {
  width: 25px;
  height: 25px;
  accent-color: black;
}
.wp-block-fidelo-fd-form textarea {
  resize: none;
  padding: 14px 16px 14px 16px;
  border-radius: 10px;
  min-height: 250px;
}
.wp-block-fidelo-fd-form .labelTop {
  margin-bottom: 8px;
  color: var(--Color-6, #000);
  display: block;
  /* Desktop - Paragraph */
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 125%; /* 22.5px */
}
.wp-block-fidelo-fd-form button {
  padding: 8px 16px;
  background-color: black;
  font-family: "Roboto", sans-serif;
  color: white;
  border: 0;
  border-radius: 10px;
  font-size: 18px;
  margin-top: 16px;
}
.wp-block-fidelo-fd-form button:focus {
  outline: 2px solid gray;
  outline-offset: 2px;
}
.wp-block-fidelo-fd-form fieldset .field-radio-group {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-direction: row !important;
      flex-direction: row !important;
  gap: 24px;
}
.wp-block-fidelo-fd-form fieldset .field-radio-group > div {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
  gap: 8px;
}

.radio-btn-container {
  display: -ms-flexbox;
  display: flex;
  gap: 10px;
}
.radio-btn-container > div {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
}

textarea {
  font-family: inherit;
}

.submit-box:has(button[disabled]) {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
}
.submit-box:has(button[disabled]) .fd-form-submit-button {
  display: none;
  cursor: pointer;
}
.submit-box:has(button[disabled]) .fd-form-submit-button:focus {
  outline: 2px solid gray;
  outline-offset: 2px;
}
.submit-box:has(button[disabled]) .fd-form-submit-button span {
  pointer-events: none;
}
.submit-box:has(button[disabled]) .loader {
  display: block;
  -ms-flex-item-align: center;
      align-self: center;
  margin-top: 10px;
}

.fd-form-submit-button {
  cursor: pointer;
}
.fd-form-submit-button span {
  pointer-events: none;
}

.cb input {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.cb .cb-box {
  width: 25px;
  height: 25px;
  display: inline-block;
  border: 0.15rem solid rgb(62, 62, 62);
  border-radius: 5px;
  background: #fff;
  vertical-align: middle;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  -webkit-transition: border-color 0.2s ease, background-color 0.2s ease;
  -o-transition: border-color 0.2s ease, background-color 0.2s ease;
  transition: border-color 0.2s ease, background-color 0.2s ease;
}

.cb .cb-box::after {
  content: "";
  position: absolute;
  inset: 0;
  background: url(assets/icons/check.svg) no-repeat center/95%;
  opacity: 0;
  -webkit-transition: opacity 0.2s ease;
  -o-transition: opacity 0.2s ease;
  transition: opacity 0.2s ease;
  pointer-events: none;
}

.cb input:checked + .cb-box {
  border-color: gray;
}

.cb input:focus + .cb-box {
  outline: 2px solid gray;
  outline-offset: 2px;
}

.cb input:checked + .cb-box {
  border-color: gray;
}

.cb input:checked + .cb-box::after {
  opacity: 1;
}

span:has(.required-indicator) {
  display: -ms-flexbox;
  display: flex;
  gap: 4px;
  font-size: 14px;
  margin-top: 20px;
}

.required-indicator {
  color: red;
}

body {
  background-color: red;
}

.wp-block-fidelo-fd-form form {
  position: relative;
}
.wp-block-fidelo-fd-form form fieldset {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  -ms-flex-align: start;
      align-items: flex-start;
  gap: 20px;
}
.wp-block-fidelo-fd-form form fieldset legend {
  font-size: var(--wp--preset--font-size--large);
  margin-bottom: 24px;
  font-weight: 700;
}
.wp-block-fidelo-fd-form form fieldset div:first-child {
  margin: 0;
}
.wp-block-fidelo-fd-form form .fd_form_field {
  width: 100%;
  margin-top: 24px;
}
.wp-block-fidelo-fd-form form .fd_form_field[data-field="input.hidden"] {
  display: none;
}
.wp-block-fidelo-fd-form form fieldset,
.wp-block-fidelo-fd-form form fieldset + fieldset {
  margin: 20px auto !important;
}
.wp-block-fidelo-fd-form form .fd_form_field[data-attributes=disabled] input,
.wp-block-fidelo-fd-form form .fd_form_field[data-attributes=disabled] textarea,
.wp-block-fidelo-fd-form form .fd_form_field[data-attributes=disabled] select {
  pointer-events: none !important;
  opacity: 0.6 !important;
  -webkit-filter: saturate(0) !important;
          filter: saturate(0) !important;
}
.wp-block-fidelo-fd-form form .submit-box {
  position: relative;
}
.wp-block-fidelo-fd-form form .submit-box div.captcha {
  padding-bottom: 20px !important;
}
.wp-block-fidelo-fd-form form div.field {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.wp-block-fidelo-fd-form form div.field.field-radio-group > div, .wp-block-fidelo-fd-form form div.field.field-checkbox-group > div {
  padding: 5px 0;
}
.wp-block-fidelo-fd-form form div.field.field-checkbox-group > div {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
}
.wp-block-fidelo-fd-form form div.field input[type=radio],
.wp-block-fidelo-fd-form form div.field textarea[type=radio] {
  width: 25px;
  height: 25px;
  margin: 0;
  accent-color: var(--wp--preset--color--primary);
}
.wp-block-fidelo-fd-form form div.field input[type=color],
.wp-block-fidelo-fd-form form div.field textarea[type=color] {
  width: auto !important;
  max-width: 40px !important;
}
.wp-block-fidelo-fd-form form fieldset {
  padding: 0;
}
@media (max-width: 550px) {
  .wp-block-fidelo-fd-form form fieldset {
    grid-template-columns: 1fr !important;
  }
}
.wp-block-fidelo-fd-form form label.labelTop span.label-required-star {
  color: red;
}
.wp-block-fidelo-fd-form form label.labelFor {
  display: inline !important;
  padding-left: 5px;
}
.wp-block-fidelo-fd-form form input[type=checkbox].maxi {
  width: 25px;
  height: 25px;
}
.wp-block-fidelo-fd-form form input[type=checkbox] + .labelFor {
  padding-left: 15px;
}
.wp-block-fidelo-fd-form form .alignCheckbox {
  position: relative;
  top: -3px;
}
.wp-block-fidelo-fd-form form .wp-block-fidelo-fd-form-submit .politicsMention {
  display: -ms-flexbox;
  display: flex;
}
.wp-block-fidelo-fd-form form .wp-block-fidelo-fd-form-submit .politicsMention label.labelFor {
  font-size: 14px;
  line-height: 24px;
  padding-bottom: 0 !important;
}
.wp-block-fidelo-fd-form form .wp-block-fidelo-fd-form-submit .captcha {
  display: block;
}
.wp-block-fidelo-fd-form form .wp-block-fidelo-fd-form-submit .submitButton {
  width: 100%;
  margin-top: 16px;
  display: -ms-flexbox;
  display: flex;
}

.wp-block-column > .wp-block-fidelo-fd-form {
  margin-top: 0 !important;
}